Subject: [lp-wan] Welcome to the mailing list on Low-Power Wide-Area Networking

From: Alexander Pelov <[email-masked]>
Date: Thu, 12 Nov 2015 19:00:48 +0100

Dear all,

Thank you for subscribing to this nonWG mailing list!

As you are all aware, we're witnessing a true revolution in the 
IoT/telecommunications world with the arrival and the generalization of 
LP-WANs. They pose a set of unseen constraints, which makes difficult 
running even basic services on them. Yet, it is expected to have more 
than 3 billion devices by 2020 connected over LP-WANs.

We would like to start the discussion on how the IETF stack can be used 
on these networks. There is a first document, which outlines some of the 
constraints, and puts forward a specific solution to a specific set of 
problems. However, many questions remain opened, and I believe we should 
not leave this new wave of networks out of IETF's scope.

- What would be the problems you would like to see discussed here?
- Do you see any additional radio technologies that should be included 
in the list (for the moment we have listed only IEEE 802.15.4k, Semtech 
Lora, SigFox and Qowisio explicitly)?
- Which are the main constraints that you feel as the more stringent?
- How do we get IP running on these networks? (IPv?)
- Do you agree that CoAP could be the signaling protocol for managing 
these networks?
- ???

I've set up a GitHub repository - https://github.com/lp-wan - where to 
collect the input from the mailing list.

Best,
Alexander

---

From: oana iova <[email-masked]>
Date: Fri, 13 Nov 2015 12:03:18 +0100

Hi Alexander,

For other technologies, what about Ingenu RPMA (former On-Ramp Wireless)?
There is also Weightless with three versions W, N (only uplink
communication), and P (bi-directional).

Cheers,
Oana

On Thu, Nov 12, 2015 at 7:00 PM, Alexander Pelov <[email-masked]> wrote:

> running even basic services on them. Yet, it is expected to have more than
> 3 billion devices by 2020 connected over LP-WANs.
>
> We would like to start the discussion on how the IETF stack can be used on
> these networks. There is a first document, which outlines some of the
> - Do you see any additional radio technologies that should be included in
> the list (for the moment we have listed only IEEE 802.15.4k, Semtech Lora,
> SigFox and Qowisio explicitly)?
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>

---

From: Alexander Pelov <[email-masked]>
Date: Fri, 13 Nov 2015 12:20:45 +0100

Hi Oana,

Thanks for the input! Indeed, these are technolgies that we should not 
leave out!

It seems to me that one of the results of the discussions on the mailing 
list would be to identify these tehcnologies and their specific 
constraints.

I would be willing to compile the whole set of results in a document we 
could all access in our github repository ( https://github.com/lp-wan ). 
If you have a pointer to the specification of any of these technologies, 
it would be of great help.

Best,
Alexander

Le 13/11/2015 12:03, oana iova a écrit :
> Hi Alexander,
>
> For other technologies, what about Ingenu RPMA (former On-Ramp 
> Wireless)? There is also Weightless with three versions W, N (only 
> uplink communication), and P (bi-directional).
>
> Cheers,
> Oana
>
>
> On Thu, Nov 12, 2015 at 7:00 PM, Alexander Pelov <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Dear all,
>
>     IoT/telecommunications world with the arrival and the
>     generalization of LP-WANs. They pose a set of unseen constraints,
>     which makes difficult running even basic services on them. Yet, it
>     is expected to have more than 3 billion devices by 2020 connected
>     over LP-WANs.
>
>     We would like to start the discussion on how the IETF stack can be
>     used on these networks. There is a first document, which outlines
>     some of the constraints, and puts forward a specific solution to a
>     specific set of problems. However, many questions remain opened,
>     and I believe we should not leave this new wave of networks out of
>     IETF's scope.
>
>     - Do you see any additional radio technologies that should be
>     included in the list (for the moment we have listed only IEEE
>     802.15.4k, Semtech Lora, SigFox and Qowisio explicitly)?
>     - Do you agree that CoAP could be the signaling protocol for
>     managing these networks?
>     - ???
>
>     I've set up a GitHub repository - https://github.com/lp-wan -
>     where to collect the input from the mailing list.
>
>     Best,
>     Alexander
>
>     [email-masked] <mailto:[email-masked]>

---

From: Steven Latre <[email-masked]>
Date: Fri, 13 Nov 2015 13:30:12 +0100

Hi Alexander,

In terms of other technologies, I would also like to suggest DASH7 (http://www.dash7-alliance.org/ <http://www.dash7-alliance.org/>). It’s more mid-range than long-range communication (few kilometres) but is then again much lower in terms of power consumption. 

Kind regards,
Steven

Prof. Dr. Steven Latré
MOSAIC Research group
University of Antwerp - iMinds | Middelheimlaan 1 | 2020 Antwerp | Belgium
www.iminds.be <http://www.iminds.be/> | mosaic.uantwerp.be <http://mosaic.uantwerp.be/>
+32 3 265 34 47 <tel://T:%20+32%203%20265%2034%2047> | E: [email-masked] <mailto:[email-masked]>

> On 13 Nov 2015, at 12:03, oana iova <[email-masked]> wrote:
> 
> Hi Alexander,
> 
> For other technologies, what about Ingenu RPMA (former On-Ramp Wireless)? There is also Weightless with three versions W, N (only uplink communication), and P (bi-directional).
> 
> Cheers,
> Oana
> 
> 
> On Thu, Nov 12, 2015 at 7:00 PM, Alexander Pelov <[email-masked] <mailto:[email-masked]>> wrote:
> Dear all,
> 
> As you are all aware, we're witnessing a true revolution in the IoT/telecommunications world with the arrival and the generalization of LP-WANs. They pose a set of unseen constraints, which makes difficult running even basic services on them. Yet, it is expected to have more than 3 billion devices by 2020 connected over LP-WANs.
> 
> We would like to start the discussion on how the IETF stack can be used on these networks. There is a first document, which outlines some of the constraints, and puts forward a specific solution to a specific set of problems. However, many questions remain opened, and I believe we should not leave this new wave of networks out of IETF's scope.
> 
> - Do you see any additional radio technologies that should be included in the list (for the moment we have listed only IEEE 802.15.4k, Semtech Lora, SigFox and Qowisio explicitly)?
> - Do you agree that CoAP could be the signaling protocol for managing these networks?
> - ???
> 
> I've set up a GitHub repository - https://github.com/lp-wan <https://github.com/lp-wan> - where to collect the input from the mailing list.
> 
> Best,
> Alexander
> 
> https://www.ietf.org/mailman/listinfo/lp-wan <https://www.ietf.org/mailman/listinfo/lp-wan>
>

---

From: oana iova <[email-masked]>
Date: Fri, 13 Nov 2015 13:40:07 +0100

Hi Alexander,

I think this is a good start. If you want some help compiling this
document, I'll be more than happy to do so ;-)

What I found so far:
- Sixfox worked with ETSI to release 3 specifications:
http://www.investincotedazur.com/en/info/news/etsi-new-specification-for-internet-of-things-and-machine-to-machine-low-throughput-networks/
- LoRaWAN specification is available online:
https://www.lora-alliance.org/For-Developers/LoRaWANDevelopers
- Weightless: http://www.weightless.org/about/weightlessw

Cheers,
Oana

On Fri, Nov 13, 2015 at 12:20 PM, Alexander Pelov <[email-masked]> wrote:

> If you have a pointer to the specification of any of these technologies, it
> would be of great help.
>
> Best,
> Alexander
>
>
>
> On Thu, Nov 12, 2015 at 7:00 PM, Alexander Pelov < <[email-masked]>[email-masked]>
> wrote:
>
>> Dear all,
>>
>> I've set up a GitHub repository - <https://github.com/lp-wan>
>> https://github.com/lp-wan - where to collect the input from the mailing
>> list.
>>
>> Best,
>> Alexander
>>
> lp-wan mailing [email-masked]://www.ietf.org/mailman/listinfo/lp-wan
>
>
>

---

From: Michael Richardson <[email-masked]>
Date: Fri, 13 Nov 2015 08:57:12 -0500

> LP-WANs. They pose a set of unseen constraints, which makes difficult

Well, I know little of the constraints.
I'm really unclear, given the one-hop star-topology, with unconstrained hub
system, what layer-3+ challenges there relaly are.

    > list (for the moment we have listed only IEEE 802.15.4k, Semtech Lora,

four more TLAs that I also don't know about.

    > - Do you agree that CoAP could be the signaling protocol for managing

What kind of management is needed?

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 13 Nov 2015 15:19:05 +0100

Michael Richardson wrote:
> layer-3+ challenges

A big challenge is the sustained datarate (for Sigfox, someone just gave
the equivalent of 20 mB/s -- yes, millibytes per second), combined with
the message size limitations.  That means we'll need to move the yellow
bar
(https://github.com/t2trg/2015-ietf92/blob/master/slides/01-10yearsIoT.pdf
slides 26 to 27) quite a bit more to the left.

> What kind of management is needed?

I'd venture the guess:
-- monitoring device health (battery, reception)
-- fine-grained parameter setting (both network and application)

There is also security, the setup and maintenance of which may also be
operated through management controls.

Grüße, Carsten

---

From: Bill Gage <[email-masked]>
Date: Fri, 13 Nov 2015 20:23:13 +0000

> communication), and P (bi-directional).
[wg] Or the elephant in the room, narrow-band cellular (http://www.3gpp.org/news-events/3gpp-news/1733-niot).
> > - Do you agree that CoAP could be the signaling protocol for managing
[wg] With very small payloads (cf. SigFox 12-byte payloads) it is unclear how one could accommodate higher-layer protocols. Segmenting packets or aggregating radio frames incurs additional overheads that impact battery life and radio capacity. This may be a high cost to pay just for sake of claiming "CoAP compatibility" or even "IP compatibility".

Perhaps a CoAP proxy model might be more appropriate -- let the devices with their proprietary (and optimised) radio link protocols continue as-is and move the heavy lifting to a network-based proxy.

If the proxy is co-located with the base station, transport of the proprietary protocols does not extend beyond the radio link. If the proxy is physically removed from the base station, then perhaps there are issues related to discovery, authentication, encapsulation, etc.

Cheers ...

---

From: Samita Chakrabarti <[email-masked]>
Date: Sat, 14 Nov 2015 02:55:45 +0000

Hi Alex,

A few comments are listed below in-line.

Thanks for setting up the discussion-group.

-----Original Message-----
From: lp-wan [mailto:[email-masked]] On Behalf Of Alexander Pelov
Sent: Thursday, November 12, 2015 10:01 AM
To: [email-masked]
Subject: [lp-wan] Welcome to the mailing list on Low-Power Wide-Area Networking

Dear all,

[SC>] 
[SC>]  

I did not check the repository, but please send out  any intro-draft or white-paper you have on LP-WAN technologies (LORA, Sigfox, 802.15.4k) in a concise form -- so that we can understand the differences.

We already have ipv6 stack (6lo WG) defined at IETF.  In order to support 3 billion devices and managing them without a lot of application gateways and NAT functions, you would like to run IPv6 on them directly. 

---

- What would be the problems you would like to see discussed here?
[SC>]  The device characteristics ,  MTU size, bit-rate, fragmentation handling at L2, security at L2, intended application space
 
- Do you see any additional radio technologies that should be included in the list (for the moment we have listed only IEEE 802.15.4k, Semtech Lora, SigFox and Qowisio explicitly)?
[SC>]  It'd be nice to get an overview that from IETF perspective (L3-and-above), how are they different ?

- Which are the main constraints that you feel as the more stringent?
[SC>]  Please take a look at https://datatracker.ietf.org/wg/6lo/charter/  : Note this is applicable for "constrained node" NETWORKS ( PAN, WAN, MAN etc...). 

Are these nodes different from what is described there in the charter? If so,  in what ways?

---
- How do we get IP running on these networks? (IPv?)
[SC>] IPv6 is no-brainer for any new developments.  [ please use 6lo to define your technology specific LP stack]

- Do you agree that CoAP could be the signaling protocol for managing these networks?
[SC>]  CORE COMI  draft is available. Is this the draft are you referring to?
However, please check out  RFC 7547 & RFC7548

I've set up a GitHub repository - https://github.com/lp-wan - where to collect the input from the mailing list.
[SC>] 

Thanks,
-Samita

---

From: Mischa Dohler <[email-masked]>
Date: Sat, 14 Nov 2015 09:22:52 +0000

Bill, it is not prudent to call NB-LTE an elephant.

When I was CTO at Worldsensing, I scouted for LPWAN chips. Sigfox 
delivered. Cycleo (now Semtech and branded under Lora) delivered. The 
only ones who did not deliver for 5 (!) years were Neul.

You acquired them for $25m which was a stunning move given at that point 
they did not have a single working system at scale and no customers.

If you ask me, having been in the wireless industry for 20 years, I have 
much more confidence in 3GPP's NB-LTE than Neul variants. The former has 
shown to be able to operate at scale over decades; the latter does not 
have a single project at scale (I am not talking about testing 500 end 
points, but something at real scale).

Happy to take this offline ...

... and I will synch with Samita from E/// to see if there is anything 
6lo needs to be improved on to run over NB-LTE (or any CATx variants).

Kindest, Mischa.

______________________________________

Prof Mischa Dohler
Head, Centre for Telecom Research
Chair Professor, King's College London
Fellow & Distinguished Lecturer, IEEE
Board of Directors, Worldsensing
Editor-in-Chief, ETT & IoT

www.mischadohler.com
______________________________________

---

From: Alexander Pelov <[email-masked]>
Date: Sat, 14 Nov 2015 11:57:20 +0100

Dear Bill,

> [wg] Or the elephant in the room, narrow-band cellular (http://www.3gpp.org/news-events/3gpp-news/1733-niot).
Thank you for putting this on the list of technologies to evaluate. 
Cellular networks are indeed something we should consider (be it NB-GSM 
or LTE-M).

There are three major points that we need to keep in mind. First, there 
are already existing technologies (Ultra-Narrowband such as Qowiso and 
SigFox, Spread-Spectrum - such as LoRa, and OFDM-based) that need action 
now. Second, one of the major differences between "classical" cellular 
networks and LPWANs is the possibility to run the latter in license-free 
spectrum. This means private networks will coexist with operated 
networks. Third, the cost of deployment is incomparable. You can build a 
city-wide network for less than 2000€/$. This doesn't mean we should 
ignore NB-cellular. On the contrary! It is just that we need to face the 
reality - LPWANs cover a larger spectrum of issues (and provide more 
degrees of freedom) compared to classical cellular infrastructures.
> Perhaps a CoAP proxy model might be more appropriate -- let the devices with their proprietary (and optimised) radio link protocols continue as-is and move the heavy lifting to a network-based prox…
This is actually a great point! There is of course the CoAP Proxy model 
that will be applicable in many scenarios. It is not the only one, of 
course. In addition, we could have the IP compatibility implemented via 
a proxy-like functionality (e.g. creating a context on the "proxy", then 
building PDUs on the proxy, etc.).

Best,
Alexander

---

From: Mischa Dohler <[email-masked]>
Date: Sat, 14 Nov 2015 11:09:39 +0000

Dear all,

Xavi and I wanted to have this WG to make sure we get the LPWANs we use 
with Worldsensing connected in a standardized way, ideally commoditizing 
the edges and make things more cost efficient for us.

Before we dive into a wide spectrum of topics, could we determine what 
exactly we want to achieve and how to go about it.

I may have missed some emails but do we have a leader on this?

Thanks and with kind regards,
Mischa.

Prof Mischa Dohler

www.mischadohler.com

On 14/11/2015 10:57, Alexander Pelov wrote:
>>> Wireless)?
>> [wg] Or the elephant in the room, narrow-band cellular 
>> (http://www.3gpp.org/news-events/3gpp-news/1733-niot).
> Cellular networks are indeed something we should consider (be it 
> NB-GSM or LTE-M).
>
> There are three major points that we need to keep in mind. First, 
> there are already existing technologies (Ultra-Narrowband such as 
> Qowiso and SigFox, Spread-Spectrum - such as LoRa, and OFDM-based) 
> that need action now. Second, one of the major differences between 
> "classical" cellular networks and LPWANs is the possibility to run the 
> latter in license-free spectrum. This means private networks will 
> coexist with operated networks. Third, the cost of deployment is 
> incomparable. You can build a city-wide network for less than 2000€/$. 
> This doesn't mean we should ignore NB-cellular. On the contrary! It is 
> just that we need to face the reality - LPWANs cover a larger spectrum 
> of issues (and provide more degrees of freedom) compared to classical 
> cellular infrastructures.
>>>> generalization of
>>>> used on
>>>> included in
>> [wg] With very small payloads (cf. SigFox 12-byte payloads) it is 
>> unclear how one could accommodate higher-layer protocols. Segmenting 
>> packets or aggregating radio frames incurs additional overheads that 
>> impact battery life and radio capacity. This may be a high cost to 
>> pay just for sake of claiming "CoAP compatibility" or even "IP 
>> compatibility".
>> Perhaps a CoAP proxy model might be more appropriate -- let the 
>> devices with their proprietary (and optimised) radio link protocols 
>> continue as-is and move the heavy lifting to a network-based proxy.
> This is actually a great point! There is of course the CoAP Proxy 
> model that will be applicable in many scenarios. It is not the only 
> one, of course. In addition, we could have the IP compatibility 
> implemented via a proxy-like functionality (e.g. creating a context on 
> the "proxy", then building PDUs on the proxy, etc.).
>> If the proxy is co-located with the base station, transport of the 
>> proprietary protocols does not extend beyond the radio link. If the 
>> proxy is physically removed from the base station, then perhaps there 
>> are issues related to discovery, authentication, encapsulation, etc.
>>
>> Cheers ...
>
> Best,
> Alexander
>
>>

---

From: Alexander Pelov <[email-masked]>
Date: Sat, 14 Nov 2015 12:24:30 +0100

Hi Samita,

> I did not check the repository, but please send out  any intro-draft or white-paper you have on LP-WAN technologies (LORA, Sigfox, 802.15.4k) in a concise form -- so that we can understand the diff…
I've updated the list of related documents (for the moment) at the 
following address: https://github.com/lp-wan/drafts
Of course, the starting point would be the 
https://tools.ietf.org/html/draft-pelov-core-cosol-00 where we've 
summarized a specific architectural approach to managing LPWANs with 
CoAP as a signaling protocol. The user plane, however, needs all the 
adaptations that we know (running IPv6 stack, or some app-specific 
proxies - in a transparent and standard way).

> We already have ipv6 stack (6lo WG) defined at IETF.  In order to support 3 billion devices and managing them without a lot of application gateways and NAT functions, you would like to run IPv6 on…
This is an excellent point. I think that we should look into two cases - 
running IPv6 on them directly (with L2 fragmentation), or for some 
devices imagine the case where you could have a proxy to build the IPv6 
packets. The point here is that although we'll have a single server 
manage 10'000+ devices, the packet rate will be very low, so even with 
modest hardware you could support keeping context for the end-nodes 
(which are in most cases quite sleepy). I don't have a strong opinion on 
this and I think that is what should be discussed further.

> [SC>]  The device characteristics ,  MTU size, bit-rate, fragmentation handling at L2, security at L2, intended application space

I'll take a note of these and summarize them in the github repository.
> [SC>]  It'd be nice to get an overview that from IETF perspective (L3-and-above), how are they different ?
Agree. I think this would be a key document to elaborate.
> [SC>] IPv6 is no-brainer for any new developments.  [ please use 6lo to define your technology specific LP stack]
Of course. The goal is to NOT reinvent the wheel. In fact, if we could 
solve all the questions with existing documents and maybe 1-2 drafts 
adopted to existing groups, that would be ideal.

> However, please check out  RFC 7547 & RFC7548
Yes, I was referring to the CoMI/CoOL management framework. Thanks for 
pointing out the RFCs - they will definitely be among the reference 
documents for the discussion!

Best,
Alexander

---

From: Alexander Pelov <[email-masked]>
Date: Sat, 14 Nov 2015 12:53:50 +0100

Dear Mischa,

Thank you for getting such a useful inputs for the discussion. You may 
have missed some of the past IETFs, which is why you are wondering what 
are the ongoing discussions about.

There have been already many offline discussions with people involved 
with 6lo, roll, 6tisch, core, and t2trg. I am really sorry that we 
didn't manage to get everybody involved beforehand - and that is the 
reason of this ML. There is a first draft outlaying some architectural 
proposals - I would be happy to have your feedback on this, and maybe 
collaborate on the next versions: 
https://tools.ietf.org/html/draft-pelov-core-cosol-00 . Note that there 
is running code behind it and it is not a pure exercise in style (Smart 
City network, Arduino-prototyping shields, and other end-devices, and 
carrier-grade infrastructure).

Le 14/11/2015 12:09, Mischa Dohler a écrit :
> Dear all,
>
> Xavi and I wanted to have this WG to make sure we get the LPWANs we 
> use with Worldsensing connected in a standardized way, ideally 
> commoditizing the edges and make things more cost efficient for us.
>
This is the goal of this mailing list. There are a vast number of topics 
that must be discussed, and we already had quite a lot of useful 
feedback. What are the architectures to be supported, such as 
infrastructure-based + mesh, mixed deployments small- macro- cells, 
group communications, management, signaling, security (especially in 
multicast traffic and asymmetric links, mobility.

The major questions are:
1) Is there interest at the IETF to address LPWANs? I have the feeling 
this is confirmed.
2) What are the major challenges? We have some (most?) of them. Need to 
structure (in addition to draft-pelov-core-cosol-00 ).
3) Do we need to do anything special in order to meet these challenges. 
Can't we just use what we already have?

I wouldn't go ahead by claiming right away that we NEED a WG. I have the 
feeling this COULD be the case, BUT if we can solve everything in 6lo, 
core, and 6tisch, then that would be perfect. The course of action was 
decided in conjunction with INT's ADs.

Best,
Alexander

>> "classical" cellular networks and LPWANs is the possibility to run 
>> the latter in license-free spectrum. This means private networks will 
>> incomparable. You can build a city-wide network for less than 
>> 2000€/$. This doesn't mean we should ignore NB-cellular. On the 
>> contrary! It is just that we need to face the reality - LPWANs cover 
>> a larger spectrum of issues (and provide more degrees of freedom) 
>> compared to classical cellular infrastructures.
>> implemented via a proxy-like functionality (e.g. creating a context 
>> on the "proxy", then building PDUs on the proxy, etc.).
>>> proxy is physically removed from the base station, then perhaps 
>>> there are issues related to discovery, authentication, 
>>> encapsulation, etc.
>>>
>>> Cheers ...
>>
>> Best,
>> Alexander
>>
>>>

---

From: Mischa Dohler <[email-masked]>
Date: Sat, 14 Nov 2015 12:05:59 +0000

Dear Alexander, indeed I missed that - apologies. Great overview and 
summary; makes all sense to me. Will discuss with you offline re point 
3. Happy to help with this very timely initiative! Kindest, Mischa (+44 
7873 252 444).

Prof Mischa Dohler

www.mischadohler.com

On 14/11/2015 11:53, Alexander Pelov wrote:
> have missed some of the past IETFs, which is why you are wondering 
> what are the ongoing discussions about.
>
> https://tools.ietf.org/html/draft-pelov-core-cosol-00 . Note that 
> there is running code behind it and it is not a pure exercise in style 
> (Smart City network, Arduino-prototyping shields, and other 
> end-devices, and carrier-grade infrastructure).
>
>> Before we dive into a wide spectrum of topics, could we determine 
>> what exactly we want to achieve and how to go about it.
> This is the goal of this mailing list. There are a vast number of 
> topics that must be discussed, and we already had quite a lot of 
> useful feedback. What are the architectures to be supported, such as 
> 2) What are the major challenges? We have some (most?) of them. Need 
> to structure (in addition to draft-pelov-core-cosol-00 ).
> 3) Do we need to do anything special in order to meet these 
> challenges. Can't we just use what we already have?
>
> I wouldn't go ahead by claiming right away that we NEED a WG. I have 
> the feeling this COULD be the case, BUT if we can solve everything in 
> 6lo, core, and 6tisch, then that would be perfect. The course of 
> action was decided in conjunction with INT's ADs.
>
> Best,
> Alexander
>
>>
>>> the latter in license-free spectrum. This means private networks 
>>> will coexist with operated networks. Third, the cost of deployment 
>>> is incomparable. You can build a city-wide network for less than 
>>>>>> managing
>>>> unclear how one could accommodate higher-layer protocols. 
>>>> Segmenting packets or aggregating radio frames incurs additional 
>>>> overheads that impact battery life and radio capacity. This may be 
>>>> a high cost to pay just for sake of claiming "CoAP compatibility" 
>>>> or even "IP compatibility".

---

From: Thomas Watteyne <[email-masked]>
Date: Sun, 15 Nov 2015 22:10:41 +0100

I believe IEEE802.15.4g should be added to the list of technologies
considered by LP-WAN.

On Sat, Nov 14, 2015 at 1:05 PM, Mischa Dohler <[email-masked]>
wrote:

> summary; makes all sense to me. Will discuss with you offline re point 3.
> Happy to help with this very timely initiative! Kindest, Mischa (+44 7873
> 252 444).
>
>> have missed some of the past IETFs, which is why you are wondering what are
>> the ongoing discussions about.
>>
>> with 6lo, roll, 6tisch, core, and t2trg. I am really sorry that we didn't
>> manage to get everybody involved beforehand - and that is the reason of
>> this ML. There is a first draft outlaying some architectural proposals - I
>> would be happy to have your feedback on this, and maybe collaborate on the
>> next versions: https://tools.ietf.org/html/draft-pelov-core-cosol-00 .
>> Note that there is running code behind it and it is not a pure exercise in
>> style (Smart City network, Arduino-prototyping shields, and other
>> that must be discussed, and we already had quite a lot of useful feedback.
>> What are the architectures to be supported, such as infrastructure-based +
>> mesh, mixed deployments small- macro- cells, group communications,
>> management, signaling, security (especially in multicast traffic and
>> asymmetric links, mobility.
>>
>> The major questions are:
>>>>>> [wg] Or the elephant in the room, narrow-band cellular (
>>>>> http://www.3gpp.org/news-events/3gpp-news/1733-niot).
>>>>>
>>>> Cellular networks are indeed something we should consider (be it NB-GSM or
>>>> LTE-M).
>>>>
>>>> spectrum. This means private networks will coexist with operated networks.
>>>> Third, the cost of deployment is incomparable. You can build a city-wide
>>>> network for less than 2000€/$. This doesn't mean we should ignore
>>>> NB-cellular. On the contrary! It is just that we need to face the reality -
>>>> LPWANs cover a larger spectrum of issues (and provide more degrees of
>>>> freedom) compared to classical cellular infrastructures.
>>>>
>>>>> packets or aggregating radio frames incurs additional overheads that impact
>>>>> battery life and radio capacity. This may be a high cost to pay just for
>>>>> sake of claiming "CoAP compatibility" or even "IP compatibility".
>>>> course. In addition, we could have the IP compatibility implemented via a
>>>> proxy-like functionality (e.g. creating a context on the "proxy", then
>>>>> proprietary protocols does not extend beyond the radio link. If the proxy
>>>>> is physically removed from the base station, then perhaps there are issues
>>>>> related to discovery, authentication, encapsulation, etc.
>>>>>
>>>>> Cheers ...
>>>>>
>>>>
>>>> Best,
>>>> Alexander
>>>>
>>>>

---

From: Ana Minaburo <[email-masked]>
Date: Mon, 16 Nov 2015 15:08:19 +0100

Hi Thomas,

Of course, this technology has a relevant place in the discussion, do you
have a document that could be shared in the github?

Thanks
Ana

On Sun, Nov 15, 2015 at 10:10 PM, Thomas Watteyne <
[email-masked]> wrote:

>> Happy to help with this very timely initiative! Kindest, Mischa (+44
>> 7873 252 444).
>>
>>>>> there are already existing technologies (Ultra-Narrowband such as Qowiso
>>>>> and SigFox, Spread-Spectrum - such as LoRa, and OFDM-based) that need
>>>>> action now. Second, one of the major differences between "classical"
>>>>> cellular networks and LPWANs is the possibility to run the latter in
>>>>> license-free spectrum. This means private networks will coexist with
>>>>> operated networks. Third, the cost of deployment is incomparable. You can
>>>>> build a city-wide network for less than 2000€/$. This doesn't mean we
>>>>> should ignore NB-cellular. On the contrary! It is just that we need to face
>>>>> the reality - LPWANs cover a larger spectrum of issues (and provide more
>>>>> model that will be applicable in many scenarios. It is not the only one, of

---

From: Bill Gage <[email-masked]>
Date: Mon, 16 Nov 2015 14:52:21 +0000

Hello Mischa -

Perhaps my reference to "elephant in the room" was not widely understood (https://en.wikipedia.org/wiki/Elephant_in_the_room); my apologies if that was the case.

My reference was to ongoing work at 3GPP, not to Neul. Cellular IoT began as an study item in the GSM working group as a means to reuse GSM channels for machine-type communications. NB-LTE was a separate study item to optimise LTE for MTC. As of the latest RAN plenary, the two studies have been merged into one work item with a common solution for both.

<off-topic>
This is clearly going to be a huge market with backing from all of the global cellular operators. Amongst other things, it will provide economies of scale to drive down cost points, enable global roaming, provide a migration path for existing GSM/GPRS-based M2M applications, and extend many of the existing M2M business relationships. They will also be open protocols.

Without getting into a debate that is outside the scope of IETF deliberations, current solutions based on use of (regional) unlicensed spectrum and, on proprietary protocols in some cases, will be unlikely to make similar claims. Their major advantage is timing -- they have a narrow window of time to succeed before the 3GPP-based solution are standardised and begin to appear on the market.
</off-topic>

So, what is the specific problem that needs to be addressed from an IETF perspective? <draft-pelov-core-cosol-00> is describing a solution and the characteristics of a few LPWAN radio links.

But I think it would be better if we could focus on a *problem statement* that distils the characteristics down to a set of common problems that are not addressed by current IETF working groups.

Or is it your intent to make this a LoRA- or Sigfox-specific solution?

Cheers ...

> From: Mischa Dohler [mailto:[email-masked]]
> Sent: Saturday, November 14, 2015 4:23 AM
> 
> than
> in
> impact battery life and radio capacity. This may be a high cost to pay
> just for sake of claiming "CoAP compatibility" or even "IP compatibility".
> >
> > Perhaps a CoAP proxy model might be more appropriate -- let the devices
> with their proprietary (and optimised) radio link protocols continue as-is
> and move the heavy lifting to a network-based proxy.
> >

---

From: Mischa Dohler <[email-masked]>
Date: Mon, 16 Nov 2015 16:36:50 +0000

Bill, noted and completely agree. I am having some offline discussions 
on this to settle precisely that point. With kind regards, Mischa.

---

From: Laurent Toutain <[email-masked]>
Date: Mon, 16 Nov 2015 18:23:32 +0100

Hi Bill,

On Mon, Nov 16, 2015 at 3:52 PM, Bill Gage <[email-masked]> wrote:

> Hello Mischa -
>
> Perhaps my reference to "elephant in the room" was not widely understood (
> https://en.wikipedia.org/wiki/Elephant_in_the_room); my apologies if that
> was the case.
>
> My reference was to ongoing work at 3GPP, not to Neul. Cellular IoT began
> as an study item in the GSM working group as a means to reuse GSM channels
> for machine-type communications. NB-LTE was a separate study item to
> optimise LTE for MTC. As of the latest RAN plenary, the two studies have
> been merged into one work item with a common solution for both.
>
> <off-topic>
> This is clearly going to be a huge market with backing from all of the
> global cellular operators. Amongst other things, it will provide economies
> of scale to drive down cost points, enable global roaming, provide a
> migration path for existing GSM/GPRS-based M2M applications, and extend
> many of the existing M2M business relationships. They will also be open
> protocols.
>
> Without getting into a debate that is outside the scope of IETF
> deliberations, current solutions based on use of (regional) unlicensed
> spectrum and, on proprietary protocols in some cases, will be unlikely to
> make similar claims. Their major advantage is timing -- they have a narrow
> window of time to succeed before the 3GPP-based solution are standardised
> and begin to appear on the market.
> </off-topic>
>
> So, what is the specific problem that needs to be addressed from an IETF
> perspective? <draft-pelov-core-cosol-00> is describing a solution and the
> characteristics of a few LPWAN radio links.
>
> But I think it would be better if we could focus on a *problem statement*
> that distils the characteristics down to a set of common problems that are
> not addressed by current IETF working groups.
>
I don't think there were any intention to focus on a specific L2
technology. The IETF has always aimed at defining L2-agnostic solutions.
What kind of adaptations of the IETF protocols are needed (if any) to a
family of very constrained technologies, allowing for example very small
payloads and few messages a day.

I agree that the first thing to do is to exhibit the new constraints and
show why current solutions are not optimal.

For the moment, I've seen on the mailing list the following technologies
that could (should?) be taken into account: IEEE 802.15.4g/k, Qowisio,
SigFox, LoRa, Weightless P/N/W, DASH7. Do you have some specific
information on the forthcoming 3GPP technologies and the planned way of
interaction with the Internet?

Laurent

> included

-- 
Laurent Toutain
+--- VoIP (recommended) ---+----------- Télécom Bretagne -----------+
| Tel: +33 2 30 96 6312    | Tel: + 33 2 99 12 7026                 | Visit
:
| Mob: +33 6 800 75 900    |                                        |
| Fax: +33 2 22 06 8445    | Fax: +33 2 99 12 7030                  |
http://class.touta.in
| [email-masked]         | [email-masked]    |
+--------------------------+----------------------------------------+

---

From: Bill Gage <[email-masked]>
Date: Mon, 16 Nov 2015 19:23:48 +0000

>> perspective? <draft-pelov-core-cosol-00> is describing a solution and
>> the characteristics of a few LPWAN radio links.
>>
>> But I think it would be better if we could focus on a *problem
>> statement* that distils the characteristics down to a set of common
>> problems that are not addressed by current IETF working groups.
>>
[wg] This is still a work-in-progress at 3GPP. The work item related to a new or modified air interface has just been approved (RP-151621) but it will likely be based on the Narrowband LTE and Narrowband OFDMA solutions described in TR 45.820 (http://www.3gpp.org/DynaReport/45820.htm). Assumed traffic models are described in Annex E.

[wg] There is also a study item in progress related to network aspects of MTC/IoT communications. It is also a work in progress with the latest (rough) draft captured in TR 23.720 (http://www.3gpp.org/DynaReport/23720.htm). It mentions support for communications with an MTC Device (MTCD) supporting both IP-based and non-IP-based communications with payloads (ignoring IP headers) of 20-200 bytes.

[wg] In particular, CoAP-based communications with a compressed IP/UDP header is mentioned as "non-IP" communications on the assumption that the generic PDCP header compression (RoHC) used in LTE will be bypassed and the compressed CoAP packet will be transported directly to an application server or inter-working function.

[wg] Hope that helps. Cheers ...

---

From: Xavier Vilajosana <[email-masked]>
Date: Mon, 16 Nov 2015 20:35:28 +0100

Hi Bill,

[wg] This is still a work-in-progress at 3GPP. The work item related to a
new or modified air interface has just been approved (RP-151621) but it
will likely be based on the Narrowband LTE and Narrowband OFDMA solutions
described in TR 45.820 (http://www.3gpp.org/DynaReport/45820.htm). Assumed
traffic models are described in Annex E.

[wg] There is also a study item in progress related to network aspects of
MTC/IoT communications. It is also a work in progress with the latest
(rough) draft captured in TR 23.720 (
http://www.3gpp.org/DynaReport/23720.htm). It mentions support for
communications with an MTC Device (MTCD) supporting both IP-based and
non-IP-based communications with payloads (ignoring IP headers) of 20-200
bytes.

Are there any details about radio duty cycling and expected energy
consumption details or target orders of magnitude?

regards,
Xavi

2015-11-16 20:23 GMT+01:00 Bill Gage <[email-masked]>:

> [wg] This is still a work-in-progress at 3GPP. The work item related to a
> new or modified air interface has just been approved (RP-151621) but it
> will likely be based on the Narrowband LTE and Narrowband OFDMA solutions
> described in TR 45.820 (http://www.3gpp.org/DynaReport/45820.htm).
> Assumed traffic models are described in Annex E.
>
> [wg] There is also a study item in progress related to network aspects of
> MTC/IoT communications. It is also a work in progress with the latest
> (rough) draft captured in TR 23.720 (
> http://www.3gpp.org/DynaReport/23720.htm). It mentions support for
> communications with an MTC Device (MTCD) supporting both IP-based and
> non-IP-based communications with payloads (ignoring IP headers) of 20-200
> bytes.
>
> [wg] In particular, CoAP-based communications with a compressed IP/UDP
> header is mentioned as "non-IP" communications on the assumption that the
> generic PDCP header compression (RoHC) used in LTE will be bypassed and the
> compressed CoAP packet will be transported directly to an application
> server or inter-working function.
>

---

From: Bill Gage <[email-masked]>
Date: Mon, 16 Nov 2015 19:48:14 +0000

In 45.820, Section 4.1.4 has objectives for power consumption ("up to ten years battery life with battery capacity of 5 Wh") and Annex E has traffic models that are also summarised in Table 4.3-1 of 23.720

Cheers ... 

>From: Xavier Vilajosana [mailto:[email-masked]] 
>Sent: Monday, November 16, 2015 2:34 PM
>
>Hi Bill,
>
>Are there any details about radio duty cycling and expected energy consumption details or target orders of magnitude? 
>
>regards,
>Xavi
>
>
>

---

From: Xavier Vilajosana <[email-masked]>
Date: Mon, 16 Nov 2015 20:34:14 +0100

Hi Bill,

regards,
Xavi

-- 
xvilajosana.org